## sipxtapi 3.3.0~test18+dfsg.1

=== sipXmediaAdapterLib/examples/mstream/Makefile ===
TOP_DIR=../../../
ifdef SIPX_INST_DIR
  SIPX_BUILD_DIR_INC=-I${SIPX_INST_DIR}/include
  SIPX_BUILD_DIR_LIB=-L${SIPX_INST_DIR}/lib
else
  SIPX_BUILD_DIR_INC=-I$(TOP_DIR)/sipXmediaAdapterLib/sipXmediaMediaProcessing/include \
                     -I$(TOP_DIR)/sipXmediaAdapterLib/interface \
                     -I$(TOP_DIR)/sipXmediaLib/include \
                     -I$(TOP_DIR)/sipXportLib/include \
                     -I$(TOP_DIR)/sipXsdpLib/include \
                     -I$(TOP_DIR)/sipXtackLib/include 
  SIPX_BUILD_DIR_LIB=-L$(TOP_DIR)/sipXmediaAdapterLib/sipXmediaMediaProcessing/src/.libs \
                     -L$(TOP_DIR)/sipXmediaLib/src/.libs \
                     -L$(TOP_DIR)/sipXportLib/src/.libs \
                     -L$(TOP_DIR)/sipXsdpLib/src/.libs \
                     -L$(TOP_DIR)/sipXtackLib/src/.libs \
                     -L$(TOP_DIR)/sipXmediaLib/contrib/libspeex/libspeex/.libs
endif

INCDIRS = $(SIPX_BUILD_DIR_INC)

LIBS =  $(SIPX_BUILD_DIR_LIB) \
       -Wl,-Bstatic -lsipXmediaProcessing -lsipXmedia -lsipXsdp -lsipXport -lspeex \
       -Wl,-Bdynamic -lpcre -lcrypto -lssl

DEFINES = -D__pingtel_on_posix__

all: ${SIPX_BUILD_DIR}
	$(CXX) -Wall -g -pthread mstream.cpp -o mstream $(INCDIRS) $(LIBS) $(DEFINES)

clean:
	rm mstream

=== sipXmediaLib/src/mp/codecs/plgaac/Makefile ===


CXX=g++
CPP=gcc
LD=ld
UNAME:=$(shell uname)

FFMPEG_CFLAGS=-D_ISOC99_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_POSIX_C_SOURCE=200112 -D_XOPEN_SOURCE=600 -DHAVE_AV_CONFIG_H -std=c99 -pthread -g -Wdeclaration-after-statement -Wall -Wno-parentheses -Wno-switch -Wdisabled-optimization -Wpointer-arith -Wredundant-decls -Wno-pointer-sign -Wcast-qual -Wwrite-strings -Wundef -Wmissing-prototypes -Wno-pointer-to-int-cast  -fno-math-errno -fno-tree-vectorize 

INCLUDE_FLAGS= -I../../../../contrib/ffmpeg -I../../../../include -I../../../../../sipXportLib/include -I../../../../contrib/ffmpeg/libavcodec

#LDFLAGS=-lm  ../../../../contrib/ffmpeg/libavcodec/libavcodec.a ../../../../contrib/ffmpeg/libavutil/libavutil.a
#LDFLAGS=-lm  -L../../../../contrib/ffmpeg/libavcodec -lavcodec -L../../../../contrib/ffmpeg/libavutil -lavutil
LDFLAGS=-lm -Wl,-rpath=/usr/local/lib -lavcodec -lavutil
# -Wl,--whole-archive 
LIB_DIR=../../../../bin
OBJ_DIR=obj

ifeq ($(UNAME),Darwin)
LIBEXT=dylib
SHLIB=$(CPP) $(LDFLAGS) -dynamiclib -Wl,--no-undefined
PLATFORM_CFLAGS=-I/sw/include
endif
ifeq ($(UNAME),Linux)
LIBEXT=so
SHLIB=$(CPP) -shared -Wl,--no-undefined $(LDFLAGS) 
PLATFORM_CFLAGS=
endif

CFLAGS+= -O2 -g -fPIC -D__pingtel_on_posix__
CFLAGS+= $(PLATFORM_CFLAGS) $(FFMPEG_CFLAGS) $(INCLUDE_FLAGS)

SRC_PLGAAC_SOURCES = plgaac.c
SRC_PLGAAC_OBJECTS= $(addprefix $(OBJ_DIR)/, $(SRC_PLGAAC_SOURCES:.c=.o))

codec_aac: foo $(LIB_DIR)/codec_aac.$(LIBEXT)

foo:
	echo src: $(SRC_PLGAAC_SOURCES)
	echo objs: $(SRC_PLGAAC_OBJECTS)

clean:
	rm -rf $(OBJ_DIR)

$(LIB_DIR)/codec_aac.$(LIBEXT): $(SRC_PLGAAC_OBJECTS)
	$(SHLIB) -o $@ $^

$(OBJ_DIR)/%.o: %.c
	if [ ! -d $(OBJ_DIR) ] ; then mkdir -p $(OBJ_DIR) ; fi
	$(CPP) $(CFLAGS) -o $@ -c $<

-include $(OBJ_DIR)/.deps
$(OBJ_DIR)/.deps: $(SRC_PLGAAC_SOURCES)
	if [ ! -d $(OBJ_DIR) ] ; then mkdir -p $(OBJ_DIR) ; fi
	$(CPP) $(CFLAGS) -MM $^ | sed -e 's/^\([^ ]\)/$$(OBJ_DIR)\/\1/' > $(OBJ_DIR)/.deps

install: codec_aac
	/usr/bin/install -c $(LIB_DIR)/codec_aac.$(LIBEXT) /usr/local/sipx/share/sipxmedialib/codec_aac.$(LIBEXT)
	PATH="$(PATH):/sbin" ldconfig -n /usr/local/sipx/share/sipxmedialib

## sipxtapi 3.3.0~test9

=== debian/changelog ===
sipxtapi (3.3.0~test9-1) unstable; urgency=low

  * Initial release (Closes: #706613)

 -- Daniel Pocock <daniel@pocock.com.au>  Sun, 05 May 2013 18:33:33 +0200

=== debian/control ===
Source: sipxtapi
Section: libs
Priority: extra
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.com.au>
Build-Depends: debhelper (>= 9.0.0), libssl-dev (>= 0.9.8), libcppunit-dev, autotools-dev, automake, libpcre3-dev, dpkg-dev (>= 1.16.1~), libxerces-c-dev, pkg-config, libgsm1-dev, libspandsp-dev, doxygen
Homepage: http://sipxtapi.sipfoundry.org
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-voip/sipxtapi.git
Vcs-Browser: http://git.debian.org/?p=pkg-voip/sipxtapi.git;a=summary

Package: libsipxtapi
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sipxtapi - SIP stack, RTP media framework and codecs
 sipXtapi is a framework that makes it easy to construct SIP user agents,
 including softphones and telephony servers.
 .
 This package provides the libraries for dynamic linking.

Package: libsipxtapi-dev
Section: libdevel
Architecture: any
Depends: libsipxtapi (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: sipxtapi - SIP stack, RTP media framework and codecs (headers)
 sipXtapi is a framework that makes it easy to construct SIP user agents,
 including softphones and telephony servers.
 .
 This package provides headers and resources for development.

Package: libsipxtapi-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: sipxtapi - SIP stack, RTP media framework and codecs (API documentation)
 sipXtapi is a framework that makes it easy to construct SIP user agents,
 including softphones and telephony servers.
 .
 This package provides developer documentation about the API.

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-topology-graph \
		--disable-codec-ilbc \
		--disable-codec-g726 \
		--enable-codec-g722 \
		--enable-codec-gsm

override_dh_auto_build:
	dh_auto_build --parallel

# don't actually run the test cases, they don't run well
# automatically and require network access
override_dh_auto_test:
	true

# force building in the pkgroot or it won't build
%:
	dh $@ --builddirectory=.

## sipxtapi 3.3.0~test11

=== debian/changelog ===
sipxtapi (3.3.0~test11-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Tue, 06 Aug 2013 22:42:37 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Daniel Pocock <daniel@pocock.com.au>
 Build-Depends: debhelper (>= 9.0.0), libssl-dev (>= 0.9.8), libcppunit-dev, autotools-dev, automake, libpcre3-dev, dpkg-dev (>= 1.16.1~), libxerces-c-dev, pkg-config, libgsm1-dev, libspandsp-dev, doxygen
 Homepage: http://sipxtapi.sipfoundry.org
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Vcs-Git: git://git.debian.org/pkg-voip/sipxtapi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-voip/sipxtapi.git;a=summary

## sipxtapi 3.3.0~test12

=== debian/changelog ===
sipxtapi (3.3.0~test12-2) unstable; urgency=high

  * Only supported on Linux for now

 -- Daniel Pocock <daniel@pocock.com.au>  Fri, 06 Sep 2013 13:15:00 +0200

sipxtapi (3.3.0~test12-1) unstable; urgency=low

  * New upstream release

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 07 Aug 2013 23:39:32 +0200

=== debian/control ===
Source: sipxtapi
Section: libs
Priority: extra
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Pocock <daniel@pocock.com.au>
Build-Depends: debhelper (>= 9.0.0), libssl-dev (>= 0.9.8), libcppunit-dev, autotools-dev, automake, libpcre3-dev, dpkg-dev (>= 1.16.1~), libxerces-c-dev, pkg-config, libgsm1-dev, libspandsp-dev, doxygen
Homepage: http://www.sipxtapi.org
Standards-Version: 3.9.4
Vcs-Git: git://git.debian.org/pkg-voip/sipxtapi.git
Vcs-Browser: http://git.debian.org/?p=pkg-voip/sipxtapi.git;a=summary

Package: libsipxtapi
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SIP stack, RTP media framework and codecs
 sipXtapi is a framework that makes it easy to construct SIP user agents,
 including softphones and telephony servers.
 .
 This package provides the libraries for dynamic linking.

Package: libsipxtapi-dev
Section: libdevel
Architecture: linux-any
Depends: libsipxtapi (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: SIP stack, RTP media framework and codecs (headers)
 sipXtapi is a framework that makes it easy to construct SIP user agents,
 including softphones and telephony servers.
 .
 This package provides headers and resources for development.

Package: libsipxtapi-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: SIP stack, RTP media framework and codecs (API documentation)
 sipXtapi is a framework that makes it easy to construct SIP user agents,
 including softphones and telephony servers.
 .
 This package provides developer documentation about the API.

## sipxtapi 3.3.0~test15

=== debian/changelog ===
sipxtapi (3.3.0~test15-1~bpo70+1) wheezy-backports; urgency=medium

  * New upstream release backported.

 -- Daniel Pocock <daniel@pocock.pro>  Mon, 31 Mar 2014 09:05:53 +0200

sipxtapi (3.3.0~test12-2~bpo70+1) wheezy-backports; urgency=low

  * Initial release to wheezy-backports

 -- Daniel Pocock <daniel@pocock.com.au>  Wed, 09 Oct 2013 10:52:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: libs
 Priority: extra
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.com.au>
-Build-Depends: debhelper (>= 9.0.0), libssl-dev (>= 0.9.8), libcppunit-dev, autotools-dev, automake, libpcre3-dev, dpkg-dev (>= 1.16.1~), libxerces-c-dev, pkg-config, libgsm1-dev, libspandsp-dev, doxygen
+Uploaders: Daniel Pocock <daniel@pocock.pro>
+Build-Depends: debhelper (>= 9.0.0), libssl-dev (>= 0.9.8), libcppunit-dev, autotools-dev, automake, libpcre3-dev, dpkg-dev (>= 1.16.1~), dh-autoreconf, libxerces-c-dev, pkg-config, libgsm1-dev, libspandsp-dev, libspeexdsp-dev, doxygen
 Homepage: http://www.sipxtapi.org
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/pkg-voip/sipxtapi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-voip/sipxtapi.git;a=summary

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,8 @@
 		--enable-topology-graph \
 		--disable-codec-ilbc \
 		--disable-codec-g726 \
+		--enable-codec-speex \
+		--enable-speex-dsp \
 		--enable-codec-g722 \
 		--enable-codec-gsm
 
@@ -24,5 +26,5 @@
 
 # force building in the pkgroot or it won't build
 %:
-	dh $@ --builddirectory=.
+	dh $@ --with autoreconf --builddirectory=.

## sipxtapi 3.3.0~test17

=== debian/changelog ===
sipxtapi (3.3.0~test17-3) unstable; urgency=high

  [ Rene Engelhard ]
  * use PKG_CHECK_MODULES instead of AM_PATH_CPPUNIT (Closes: #862127)

  [ Daniel Pocock ]
  * adapt for OpenSSL 1.1. (Closes: #850898)

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 13 Apr 2018 22:49:44 +0200

sipxtapi (3.3.0~test17-2.1) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * Non-Maintainer Upload
  * Build with OpenSSL 1.0.2 for now, downgrades #828546

 -- Bernhard Schmidt <berni@debian.org>  Sun, 04 Dec 2016 22:32:30 +0100

sipxtapi (3.3.0~test17-2) unstable; urgency=high

  * Fix gcc6 issue. (Closes: #811725)

 -- Daniel Pocock <daniel@pocock.pro>  Fri, 16 Sep 2016 23:50:20 +0200

sipxtapi (3.3.0~test17-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Pocock <daniel@pocock.pro>  Thu, 10 Apr 2014 00:21:37 +0200

sipxtapi (3.3.0~test16-1) unstable; urgency=medium

  * New upstream release

 -- Daniel Pocock <daniel@pocock.pro>  Wed, 09 Apr 2014 16:51:55 +0200

sipxtapi (3.3.0~test15-1) unstable; urgency=medium

  * New upstream release
  * Option to disable inband DTMF tones.

 -- Daniel Pocock <daniel@pocock.pro>  Tue, 25 Mar 2014 17:07:36 +0100

sipxtapi (3.3.0~test14-1) unstable; urgency=medium

  * New upstream release
  * Fixes support for G.722 RTP clock rate as per RFC 3551 s4.5.2.

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 23 Mar 2014 09:34:49 +0100

sipxtapi (3.3.0~test13-2) unstable; urgency=medium

  * Use dh-autoreconf

 -- Daniel Pocock <daniel@pocock.pro>  Sun, 23 Mar 2014 08:10:29 +0100

sipxtapi (3.3.0~test13-1) unstable; urgency=medium

  * New upstream release
  * Compile with speex support enabled (also enables speexdsp resampling
    for other codecs).

 -- Daniel Pocock <daniel@pocock.pro>  Sat, 22 Mar 2014 23:50:49 +0100

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,7 @@
 		--enable-codec-speex \
 		--enable-speex-dsp \
 		--enable-codec-g722 \
+		--enable-codec-opus \
 		--enable-codec-gsm
 
 override_dh_auto_build:

## sipxtapi 3.3.0~test18+dfsg.1

=== debian/changelog ===
sipxtapi (3.3.0~test18+dfsg.1-0.1) unstable; urgency=medium

  [ Sudip Mukherjee ]
  * Non-maintainer upload.
  * Update to new upstream 3.3.0_test18. (Closes: #956686)
    - Add Files-Excluded to repack source.
    - Add patch to skip building examples.
    - Remove patches applied upstream.
    - Remove lintian overrides not needed.
    - Update Standards-Version to 4.5.0
    - Use debhelper-compat.
    - Update compat level to 12.
    - Update priority to optional.
    - Remove dependency on autotools-dev, dh-autoreconf.
    - Remove copyright information of file removed by update.
    - Fix copyright information for a header file.
    - Use secure copyright format uri.
  * Point Vcs to salsa. (Closes: #956685)
  * Add watch file. (Closes: #956687)

  [ Tobias Frost ]
  * Updating the sipxtapi Uploaders list (Closes: #953458).

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 17 Apr 2020 18:18:54 +0100

sipxtapi (3.3.0~test17-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS. (Closes: #954547)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Fri, 10 Apr 2020 20:32:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: sipxtapi
 Section: libs
-Priority: extra
+Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
-Uploaders: Daniel Pocock <daniel@pocock.pro>
-Build-Depends: debhelper (>= 9.0.0), libssl-dev (>= 0.9.8), libcppunit-dev, autotools-dev, automake, libpcre3-dev, dpkg-dev (>= 1.16.1~), dh-autoreconf, libxerces-c-dev, pkg-config, libgsm1-dev, libspandsp-dev, libspeexdsp-dev, doxygen
+Build-Depends: debhelper-compat (= 12), libssl-dev, libcppunit-dev, automake, libpcre3-dev, dpkg-dev (>= 1.16.1~), libxerces-c-dev, pkg-config, libgsm1-dev, libspandsp-dev, libspeexdsp-dev, doxygen, libopus-dev
 Homepage: http://www.sipxtapi.org
-Standards-Version: 3.9.5
-Vcs-Git: git://git.debian.org/pkg-voip/sipxtapi.git
-Vcs-Browser: http://git.debian.org/?p=pkg-voip/sipxtapi.git;a=summary
+Standards-Version: 4.5.0
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/sipxtapi.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/sipxtapi
 
 Package: libsipxtapi
 Architecture: linux-any

=== debian/watch ===
version=4
opts=uversionmangle=s/_/~/,\
     filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/sipxtapi-$1\.tar\.gz/,\
     repacksuffix=+dfsg,dversionmangle=s/\+dfsg(\.?\d+)?$// \
     https://github.com/sipXtapi/sipXtapi/tags .*/v?(\d\S+)\.tar\.gz
